%define pkgname xsm

Summary: X.Org X11 X Session Manager
Name: xorg-x11-%{pkgname}
Version: 1.0.1
Release: 1.2
License: MIT/X11
Group: User Interface/X
URL: http://www.x.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0: http://xorg.freedesktop.org/releases/X11R7.0/src/everything/xsm-1.0.1.tar.bz2
Source1: http://xorg.freedesktop.org/releases/X11R7.0/src/everything/smproxy-1.0.1.tar.bz2
Source2: http://xorg.freedesktop.org/releases/X11R7.0/src/everything/rstart-1.0.1.tar.bz2

# Patches for xsm (10-19)
Patch10: xsm-1.0.1-xsm-installation-location-fixes.patch

# Patches for smproxy (20-29)
#Patch20:

# Patches for rstart (30-39)
Patch30: rstart-1.0.1-rstart-installation-location-fixes.patch

# FIXME: The BuildRequires are all missing here and need to be figured out.
# That's low priority for now though, unless we encounter real build
# failures in beehive.
BuildRequires: pkgconfig

BuildRequires: automake autoconf

# NOTE: xorg-x11-filesystem >= 0.99.2-3 is required for OS upgrades from
# monolithic X releases to modular X releases to work properly.
Requires(pre): xorg-x11-filesystem >= 0.99.2-3
# rstart script invokes xauth, rsh
Requires: xauth, rsh

Provides: xsm, smproxy, rstart, rstartd

# NOTE: xsm, smproxy, rstart used to be part of the XFree86/xorg-x11 package
Obsoletes: XFree86, xorg-x11

%description
X.Org X11 X Session Manager

%prep
%setup -q -c %{name}-%{version} -a1 -a2
%patch10 -p0 -b .xsm-installation-location-fixes
%patch30 -p0 -b .rstart-installation-location-fixes

%build
# Build everything
{
   for pkg in xsm smproxy rstart ; do
      pushd $pkg-*

      case $pkg in
         # FIXME: Required for rstart-0.99.1-installation-location-fixes.patch
         #        and xsm-0.99.2-xsm-installation-location-fixes.patch
         xsm|rstart)
            aclocal ; automake ; autoconf
            ;;
      esac

      %configure --disable-xprint
      make
      popd
   done
}

%install
rm -rf $RPM_BUILD_ROOT

# Install everything
{
   for pkg in xsm smproxy rstart ; do
      pushd $pkg-*
      make install DESTDIR=$RPM_BUILD_ROOT
      popd
   done
}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc
%dir %{_bindir}
%{_bindir}/rstart
%{_bindir}/rstartd
%{_bindir}/smproxy
%{_bindir}/xsm
%dir %{_datadir}/X11
%dir %{_datadir}/X11/rstart
%dir %{_datadir}/X11/rstart/commands
%{_datadir}/X11/rstart/commands/@List
%{_datadir}/X11/rstart/commands/ListContexts
%{_datadir}/X11/rstart/commands/ListGenericCommands
%{_datadir}/X11/rstart/commands/x11r6/@List
%{_datadir}/X11/rstart/commands/x11r6/LoadMonitor
%{_datadir}/X11/rstart/commands/x11r6/Terminal
%{_datadir}/X11/rstart/contexts/@List
%{_datadir}/X11/rstart/contexts/default
%{_datadir}/X11/rstart/contexts/x11r6
%dir %{_datadir}/X11/app-defaults
%{_datadir}/X11/app-defaults/XSm
%dir %{_libdir}/X11
%dir %{_libdir}/X11/rstart
# NOTE: This binary can and probably should sit in /usr/sbin, but oh well.
%{_libdir}/X11/rstart/rstartd.real
%dir %{_mandir}
%dir %{_mandir}/man1
%{_mandir}/man1/rstart.1x*
%{_mandir}/man1/rstartd.1x*
%{_mandir}/man1/smproxy.1x*
%{_mandir}/man1/xsm.1x*
%dir %{_sysconfdir}
%dir %{_sysconfdir}/X11
%dir %{_sysconfdir}/X11/rstart
%config %{_sysconfdir}/X11/rstart/config
%dir %{_sysconfdir}/X11/xsm
%config %{_sysconfdir}/X11/xsm/system.xsm

%changelog
* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-1
- Updated all apps to version 1.0.1 from X11R7.0

* Tue Nov 22 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-1
- Updated all apps to version 1.0.0 from X11R7 RC4.
- Changed manpage dir from man1x to man1 to match upstream default.

* Tue Nov 22 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-4
- Add "Requires(pre): xorg-x11-filesystem >= 0.99.2-3" to avoid bug (#173384).
- Added rstart-0.99.1-rstart-installation-location-fixes.patch and
  xsm-0.99.2-xsm-installation-location-fixes.patch to put config files in
 /etc and data files in /usr/share where they belong.
- Added "Requires: xauth, rsh" as rstart invokes xauth, rsh.

* Mon Nov 14 2005 Jeremy Katz <katzj@redhat.com> - 0.99.2-3
- require newer filesystem package (#172610)

* Sun Nov 13 2005 Mike A. Harris <mharris@redhat.com> 0.99.1-2
- Added "Obsoletes: XFree86, xorg-x11", as all of these used to be in there.
- Rebuild against new libXaw 0.99.2-2, which has fixed DT_SONAME. (#173027)

* Fri Nov 11 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-1
- Initial build of xsm, smproxy, and rstart from X11R7 RC1
